#include <bits/stdc++.h>
using namespace std;
void zaUraditi(string x, string y, string z)  {
string x1 = x + y + z;
string x2 = x + z + y;
string x3 = y + x + z;
string x4 = y + z + x;
string x5 = z + x + y;
string x6 = z + y + x;
string mx = max(max(max(max(max(x1, x2), x3),x4),x5),x6);
cout << mx;
}

string Prvi, Drugi, Treci;
int main() {
cin >> Prvi >> Drugi >> Treci;

zaUraditi(Prvi,Drugi,Treci);

return 0; }